[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TMemIniFile.Rename

Rename the ini file

## Declaration

Source position: inifiles.pp line 196

`public procedure TMemIniFile.Rename(`
`const AFileName: String;`
`Reload: Boolean`
`);`

## Arguments

`AFileName` |  | New filename
`Reload` |  | Load memory data from new file ?

## Description

Rename will rename the ini file with the new name AFileName. If Reload is True then the in-memory contents will be cleared and replaced with the contents found in AFileName, if it exists. If Reload is False, the next call to UpdateFile will replace the contents of AFileName with the in-memory data.

## See also

UpdateFile |  | Update the file on disk

The latest version of this document can be found at lazarus-ccr.sourceforge.net.